=== debian/changelog ===
libmarpa (6.1.0~dfsg-2) experimental; urgency=medium

  * update git-buildpackage config:
    + avoid any .git* files
    + use DEP-14 branches debian/latest upstream/latest
    + add usage comment
  * simplify rules;
    stop build-depend on devscripts dh-buildinfo cdbs
    autotools-dev libtool automake autoconf
  * relax to build-depend unversioned on d-shlibs:
    required version satisfied in all supported Debian releases
  * use salsa.debian.org in Vcs-* URIs
  * declare compliance with Debian Policy 4.6.0
  * use debhelper compatibility level 13 (not 8);
    build-depend on debhelper-compat (not debhelper)
  * set Rules-Requires-Root: no
  * use pkgkde_symbolshelper;
    build-depend on pkg-kde-tools
  * tighten to only relax symbols check when targeted experimental
  * update copyright info:
    + use License-Grant and Reference fields;
      add lintian overrides about Reference field
    + separate source URIs from repackaging notice
    + use secure alternate source URI
    + fix Files globs
    + update coverage
    + use SPDX shortnames
    + sort License sections alphabetically by shortname
    + list MetaCPAN as main source URI
    + use secure contact URI
    + use secure file format URI
  * use semantic newlines in long description and copyright fields
  * drop obsolete binary package libmarpa0-dbg

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 25 Sep 2021 19:14:53 +0200

libmarpa (6.1.0~dfsg-1.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Drop hardcoded pre-depends on multiarch-support.
    (Closes: #870603)

 -- Boyuan Yang <073plan@gmail.com>  Sun, 12 Aug 2018 22:09:56 -0400

libmarpa (6.1.0~dfsg-1) experimental; urgency=medium

  * Initial packaging release.
    Closes: bug#753992.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 06 Jul 2014 23:21:08 +0200
